import sys

infile = sys.argv[1]

with open(infile) as handle:
    print '<hark_xml version="1.3">'

    for line in handle:
        data = line.split()
        print '    <positions type="source" coordinate="cartesian" frame="%s">' % (data[0])
        srcs = data[1:]
        for index in range(0, len(srcs), 4):
            srcid = srcs[index]
            x = srcs[index + 1]
            y = srcs[index + 2]
            z = srcs[index + 3]
            print '        <position x="%s" y="%s" z="%s" id="%s"/>' % (
                x, y, z, srcid)

        print '    </positions>'
    print '</hark_xml>'
